Customer
9 operations. Call any of them with omada_call_operation (or, in full tool mode, as a tool named by its operationId).
| Operation | Method | Summary |
|---|---|---|
| getCustomersInGlobalHaveSiteTemplateModify | GET | Obtain the customer ID with permission to modify site templates |
| getCustomerList | GET | Get customer list |
| createCustomer | POST | Create new customer |
| deleteCustomer | DELETE | Delete an existing customer |
| getCustomerDetail | GET | Get customer info |
| modifyCustomer | PATCH | Modify an existing customer |
| favoriteCustomer | POST | Favorite a customer |
| cancelFavoriteCustomer | POST | Cancel a favorite customer |
| copyCustomer | POST | Create a customer by copying from existing customer |
getCustomersInGlobalHaveSiteTemplateModify
GET /openapi/v1/{omadacId}/copy/site/template/batch/customers
Obtain the customer ID with permission to modify site templates
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
// omada_call_operation
{
"operationId": "getCustomersInGlobalHaveSiteTemplateModify"
}Details, permissions and error codes
Obtain the IDs of customers whose site templates the current user has permission to modify.
The interface requires one of the permissions:
Global Site Template Manager Modify
getCustomerList
GET /openapi/v1/msp/{mspId}/customers
Get customer list
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
mspId | path | string | auto | MSP ID (filled in automatically) |
page | query | integer | no | Start page number. Start from 1. (default 1) |
pageSize | query | integer | no | Number of entries per page. It should be within the range of 1–1000. (default 100) |
sorts.name | query | string | no | Sort parameter may be one of asc or desc. Optional parameter. If it is not carried, it means it is not sorted by this field. When there are more than one, the first one takes effect |
searchKey | query | string | no | Fuzzy query parameters, support field name |
// omada_call_operation
{
"operationId": "getCustomerList"
}Details, permissions and error codes
Get customer list
The interface requires one of the permissions:
MSP Dashboard View Only
createCustomer
POST /openapi/v1/msp/{mspId}/customers
Create new customer
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
mspId | path | string | auto | MSP ID (filled in automatically) |
Request body — application/json (required) — schema CustomerOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
customerName | string | no | Customer name should contain 1 to 32 characters. |
description | string | no | Customer description should contain 1 to 128 characters. |
// omada_call_operation
{
"operationId": "createCustomer",
"body": "{...}"
}Details, permissions and error codes
Create new customer(This interface only supports the authorization code mode, not the client mode. Please call this interface in authorization code mode.)
The interface requires one of the permissions:
MSP Dashboard Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-30145 - The number of omadacs has reached the limit.
-34706 - This name already exists. Please enter another name for this customer.
-44118 - This interface only supports the authorization code mode, not the client mode. Please call this interface in authorization code mode.
deleteCustomer
DELETE /openapi/v1/msp/{mspId}/customers/{customerId}
Delete an existing customer
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
mspId | path | string | auto | MSP ID (filled in automatically) |
customerId | path | string | yes | Customer ID |
// omada_call_operation
{
"operationId": "deleteCustomer",
"params": {
"customerId": "<customerId>"
}
}Details, permissions and error codes
Delete an existing customer(This interface only supports the authorization code mode, not the client mode. Please call this interface in authorization code mode.)
The interface requires one of the permissions:
MSP Dashboard Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-34707 - Need to delete all sites of this customer before deleting this customer.
-44118 - This interface only supports the authorization code mode, not the client mode. Please call this interface in authorization code mode.
getCustomerDetail
GET /openapi/v1/msp/{mspId}/customers/{customerId}
Get customer info
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
mspId | path | string | auto | MSP ID (filled in automatically) |
customerId | path | string | yes | Customer ID |
// omada_call_operation
{
"operationId": "getCustomerDetail",
"params": {
"customerId": "<customerId>"
}
}Details, permissions and error codes
Get customer info
The interface requires one of the permissions:
MSP Dashboard View Only
modifyCustomer
PATCH /openapi/v1/msp/{mspId}/customers/{customerId}
Modify an existing customer
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
mspId | path | string | auto | MSP ID (filled in automatically) |
customerId | path | string | yes | Customer ID |
Request body — application/json (required) — schema CustomerOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
customerName | string | no | Customer name should contain 1 to 32 characters. |
description | string | no | Customer description should contain 1 to 128 characters. |
// omada_call_operation
{
"operationId": "modifyCustomer",
"params": {
"customerId": "<customerId>"
},
"body": "{...}"
}Details, permissions and error codes
Modify an existing customer
The interface requires one of the permissions:
MSP Dashboard Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-34706 - This name already exists. Please enter another name for this customer.
favoriteCustomer
POST /openapi/v1/msp/{mspId}/customers/{customerId}/favorites
Favorite a customer
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
mspId | path | string | auto | MSP ID (filled in automatically) |
customerId | path | string | yes | Customer ID |
// omada_call_operation
{
"operationId": "favoriteCustomer",
"params": {
"customerId": "<customerId>"
}
}cancelFavoriteCustomer
POST /openapi/v1/msp/{mspId}/customers/{customerId}/favorites/cancels
Cancel a favorite customer
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
mspId | path | string | auto | MSP ID (filled in automatically) |
customerId | path | string | yes | Customer ID |
// omada_call_operation
{
"operationId": "cancelFavoriteCustomer",
"params": {
"customerId": "<customerId>"
}
}copyCustomer
POST /openapi/v1/msp/{mspId}/customers/copy
Create a customer by copying from existing customer
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
mspId | path | string | auto | MSP ID (filled in automatically) |
Request body — application/json (required) — schema CustomerCopyOpenapiVO
| Field | Type | Required | Description |
|---|---|---|---|
newCustomerName | string | yes | New Customer name should contain 1 to 31 characters. |
description | string | no | Customer description should contain 1 to 128 characters. |
sourceCustomerId | string | yes | Source customer ID to be copied. |
// omada_call_operation
{
"operationId": "copyCustomer",
"body": "{...}"
}